# Emoticons #

* Authors: Chris Leo, Noelia Ruiz Martínez, Mesar Hameed, Francisco Javier
  Estrada Martínez

Diese NVDA-Erweiterung ersetzt Emoticons durch besser verständliche
Beschreibungen.

So wird beispielsweise: ":)" als "Lächelndes Gesicht" oder ":D" als
"Lachendes Gesicht" ausgesprochen.

Diese NVDA-Erweiterung bietet folgende Funktionen:

## Emoticon einfügen ##

Sometimes an image is worth a 1000 words: use the new emoji to liven up your
instant message and to let your friends know how you’re feeling.

Wenn Sie sich unsicher sind, welche Zeichen für ein bestimmtes Smiley
verwendet werden, können Sie dieses Smiley mit Hilfe der Erweiterung
auswählen und es in Ihren Text einfügen.

Drücken Sie NVDA+I oder über das Menü Extras -> Emoticons -> Emoticon einfügen, um einen Dialog mit den bereitgestellten Emoticons oder Emoji zu öffnen. \ N.

Dieses Dialogfeld zeigt Ihnen eine Liste aller Emoticons an. Dort könnenSie
ein Emoticon auswählen und die dazugehörige Beschreibung lesen:

*	Ein Eingabefeld ermöglicht es Ihnen, die Suche nach dem gewünschten
  Emoticon unter den verfügbaren Emoticons zu filtern.
*	Über eine Reihe von Kontrollfeldern können Sie wählen, ob Sie nur die
  Emoji-Kategorie (alt+e), nur die Standard-Emoticon-Kategorie (alt+s) oder
  alle verfügbaren Emoticons (alt+a) anzeigen möchten.
*	In der Liste der Emoticons (alt+L) werden jeweils auf drei Spalten
  angezeigt: der Name des Emoticons, der Typ (Standard Emoticon oder Emoji)
  und das entsprechende Zeichen.

Mit Drücken auf "OK" wird die Zeichenfolge für das ausgewählte Emoticon in
die Zwischenablage kopiert.

## Symbol einfügen ##

In diesem Dialogfeld können Sie eines der Symbole auswählen, die im
Dialogfeld für die Interpunktion/Symbolaussprache in NVDA verfügbar
sind. Sie können das Bearbeitungsfeld "Filter" oder die Pfeiltasten
verwenden, um ein Element aus der Liste der Symbole auszuwählen.

Wenn Sie verschiedene Symbole kopieren möchten, verwenden Sie die
Schaltfläche "Hinzufügen", um sie an das Bearbeitungsfeld "Zu kopierende
Symbole" anzuhängen.

Klicken Sie dann auf "OK", um das ausgewählte Emoji oder Symbol bzw. die im
genannten Bearbeitungsfeld enthaltenen Symbole in die Zwischenablage zu
kopieren und an anderer Stelle wieder einzufügen.

## Tastenbefehle mit Symbolen verknüpfen ##

Über das NVDA-Menü, Untermenü Einstellungen, Dialogfeld für die
Tastenbefehle, Kategorie Symbole einfügen, können Sie NVDA so konfigurieren,
dass Symbole durch zugehörige Tastenbefehle eingegeben werden können.

Sie können das Bearbeitungsfeld "Feld bearbeiten" verwenden, um die Anzahl
der dargestellten Symbole zu reduzieren, so dass diese Kategorie schneller
erweitert werden kann.

## Emoticons-Wörterbuch ##

Die NVDA-Erweiterung Emoticons ermöglicht die Erstellung verschiedener
Aussprachewörterbücher für unterschiedliche Konfigurationsprofile.

Das heißt Sie können für jedes benutzerdefinierte Profil ein spezielles
Sprach-Wörterbuch erstellen oder bearbeiten.

Über das NVDA-Menü "Einstellungen" -> "Aussprache-Wörterbücher" -> "Emoticons-Wörterbuch", können Sie einen Dialog öffnen, um verfügbare Emoticons hinzuzufügen oder zu bearbeiten.

Wenn Sie Ihre Anpassungen speichern, gelten die neuen
Ausspracheeinstellungen von Emoticons nur für das gerade aktive Profil.

Zum Beispiel können Sie NVDA nur in XxChat, aber nicht in anderen
Chat-Programmen die Emoticons ansagen lassen: Sie können dies tun, indem Sie
ein Profil für die XxChat-Anwendung erstellen und ihr ein Sprachwörterbuch
aus dem Menü Sprachwörterbücher, Option Emoticons Wörterbuch,
zuweisen. Siehe unten für Emoticons Einstellungen in Bezug auf die
Konfigurationsprofile.

Der Schalter "Wörterbuch speichern und exportieren" legt eine entsprechende
Wörterbuchdatei in Ihrem "User Config"-Verzeichnis unter
"speechDicts/Emoticons" ab.

Der genaue Name und Speicherort der Wörterbuch-Datei richtet sich nach dem
Konfigurationsprofil, das im Titel des Emoticons-Dialogs angezeigt wird.

## Emoticons-Einstellungen ##

Über das Menü "Einstellungen" -> "Emoticons" können Sie die Aktivierung der Sprach-Wörterbücher für jedes Profil konfigurieren.

In den Einstellungen von Emoticons können Sie auswählen, ob das Sprachwörterbuch automatisch aktiviert werden soll, wenn NVDA zu dem Profil wechselt, das Sie gerade bearbeiten. Standardmäßig ist es in der normalen Konfiguration von NVDA und in allen Ihren neuen Profilen deaktiviert.

Darüber hinaus kann ebenfalls festgelegt werden, ob die Emojis der
Erweiterung angesagt werden soll. Dies ist nützlich, wenn in der
NVDA-Konfiguration Symbole vorkommen.

Wenn Sie Ihre Konfigurationsordner sauber halten möchten, können Sie in
diesem Dialog nicht genutzte Wörterbücher von gelöschten Profilen entfernen.

## Tastenkombinationen: ##

Dies sind die standardmäßig verfügbaren Tastenbefehle. Sie können diese
bearbeiten oder neue Tasten hinzufügen, um das Emoticons-Einstellungsfenster
oder das Dialogfeld für das Emoticons-Wörterbuch zu öffnen:

* NVDA+E: Ansage der Emoticons aktivieren oder deaktivieren, legt fest, ob
  der Text so vorgelesen wird, wie dieser geschrieben wurde oder  ob
  Emoticons durch Beschreibungen ersetzt werden sollen.
* NVDA+I: Zeigt ein Dialogfeld an, aus dem Sie ein Emoticon zum Einfügen
  auswählen können.
* Nicht zugewiesen: Zeigt einen Dialogfeld an, um das zu kopierende
  NVDA-Symbol auszuwählen.
* Nicht zugewiesen: Öffnet eine (wie im Internet) lesbare Meldung, die das
  Symbol anzeigt, an dem sich der NVDA-cursor befindet, damit die gesamte
  Beschreibung im Lesemodus gelesen werden kann.
* Nicht zugewiesen: Öffnet eine (wie im Internet) lesbare Meldung, die das
  Symbol anzeigt, an dem sich die Schreibmarke befindet, damit die gesamte
  Beschreibung im Lesemodus gelesen werden kann.

Hinweis: Unter Windows 10 und Windows 11 ist es auch möglich, das
integrierte Emoji-Panel zu verwenden.

## Änderungen in 17.0 ##

* Es ist nun möglich, Tastenbefehle mit Tipp-Symbolen zu verknüpfen.
* Es ist nun möglich, mehrere Symbole gleichzeitig zu kopieren.

## Änderungen in 16.0 ##

* Kompatibel mit NVDA 2023.1.

## Änderungen in 15.0 ##

* Benötigt NVDA 2022.1 oder neuer.
* Läuft nicht mehr im geschützten Modus.

## Änderungen in 14.0 ##

* Kompatibel mit NVDA 2021.1.

## Änderungen in 13.0 ##

* Der Fehler im Dialogfeld "Emoticon einfügen" wurde behoben.
* Es wurde ein Dialogfeld zum Einfügen eines Symbols hinzugefügt, welches in
  Interpunktion / Symbol-Aussprache von NVDA verfügbar ist.

## Änderungen in 12.0 ##

* Erfordert NVDA 2019.3 oder neuer.

## Änderungen in 11.0 ##

* Bei dem Update dieser NVDA-Erweiterung werden die in der vorherigen
  Version gespeicherten Wörterbücher automatisch in die neue Version
  kopiert, es sei denn, Sie möchten ausdrücklich, dass diese aus dem
  Hauptkonfigurationsordner von NVDA importiert werden.
* Beim Anzeigen eines Symbols, auf dem sich der Systemcursor oder der
  NVDA-Cursor befindet, werden die Wörter, Zeichen und die Ersetzung
  verwendet, um zwischen dem Symbol selbst und seiner Beschreibung im
  Lesemodus zu unterscheiden. Dies ist nützlich für Anwender, die
  ausschließlich mit Sprachausgabe, ohne Braillezeile, arbeiten.

## Änderungen in 10.0 ##

* Es wurden Befehle hinzugefügt, um das Symbol anzuzeigen, an dem sich der
  NVDA-cursor oder die Schreibmarke befinden. Tastenbefehle für diese
  Befehle können im Dialogfeld für die Tastenbefehle, in der Kategorie
  "Befehle zum Betrachten von Text", zugewiesen werden.

## Änderungen in 9.0 ##

* Man kann nun auswählen, ob Emojis (die in der NVDA-Erweiterung enthalten
  sind) angesagt  werden sollen.
* Adäquates Encoding für Wörterbuchnamen verwendet, dies behebt Fehler, wenn
  diese bestimmte Zeichen enthalten.
* Die übersetzte Zusammenfassung der NVDA-Erweiterung wird ordnungsgemäß für
  den Titel verwendet, der in der Hilfe der NVDA-Erweiterung angezeigt wird
  und auf den über "Erweiterung verwalten" zugegriffen werden kann.
* Es wurde eine Notiz hinzugefügt, in der das Emoji-Panel unter Windows 10
  erwähnt wird.

## Änderungen in 8.0 ##

* Kompatibel mit NVDA 2018.3 oder neuer (erforderlich).

## Änderungen in 7.0 ##

* Das Dialogfeld für die Aktivierungs-Einstellungen wurde in den
  NVDA-Einstellungen verschoben, so dass das aktuelle Profil im Titel der
  NVDA-Einstellung angezeigt wird.
* Das Menü "Emoticons verwalten" wurde entfernt: Jetzt wird "Emoticon
  einfügen" unter dem Menü "Extras" und "Emoticons anpassen" unter
  Sprach-Wörterbücher wie "Emoticons-Wörterbuch" angezeigt.
* Benötigt NVDA 2018.2 oder neuer.
* Bei Bedarf können Sie die[letzte Version, die mit NVDA 2017.3 kompatibel
  ist][3] herunterladen.

## Änderungen in 6.0 ##

* Unterstützt nun auch benutzerdefinierte Konfigurationsprofile in NVDA.
* In NVDA 2017.4 oder neuer ändern sich die Konfigurations-Einstellungen und
  benutzerdefinierten Wörterbücher automatisch entsprechend den ausgewählten
  Profilen. In 2017.3 oder älter können Sie Änderungen vornehmen, indem Sie
  Plugins neu laden (STRG+NVDA+f3).
* Wenn Sie beim Aktualisieren der NVDA-Erweiterung "Einstellungen
  importieren" auswählen, werden veraltete Dateien (emoticons.ini und
  emoticons.dic) entfernt oder an diese Version angepasst.

## Änderungen in 5.0 ##

* Unterstützung für Emojis hinzugefügt.
* Verbesserungen im Dialogfeld "Emoticon einfügen" durch Filter-Funktionen
  und Kontrollfeldern zur Auswahl der angezeigten Emoticons.
* Für die Dialogfelder wird guiHelper für die Aktivierungs-Einstellungen und
  Emoticon einfügen und verwalten verwendet: Erfordert NVDA 2016.4 oder
  neuer

## Änderungen in 4.0 ##

* Wenn der Dialog "Smiley einfügen" geöffnet wird, während ein
  Einstellungsdialog von NVDA aktiv ist, wird die zugehörige Fehlermeldung
  ausgegeben.


## Änderungen in 3.0 ##

* Im Dialogfeld "Emoticons verwalten..." kann nun die Gültigkeit eines
  Musters festgelegt werden, wenn es ein ganzes Wort ist. Dies ist mit den
  Aussprache-Wörterbüchern von NVDA 2014.4 vergleichbar.


## Änderungen in 2.0 ##

* Hilfe zur NVDA-Erweiterung ist im Bereich "Erweiterung verwalten"
  verfügbar.


## Änderungen in 1.1 ##

* Doppelte Emoticons wurden entfernt.
* Einige Smileys wurden hinzugefügt.

## Änderungen in 1.0 ##

* Erste Version.

[[!tag dev stable]]

[3]: https://www.nvaccess.org/addonStore/legacy?file=emo-o
